package com.red.circle.other.app.service.room;


import com.red.circle.common.business.dto.cmd.AppExtCommand;
import com.red.circle.common.business.dto.cmd.app.AppRoomIdCmd;
import com.red.circle.common.business.dto.cmd.app.AppUserIdCmd;
import com.red.circle.other.app.dto.cmd.room.UpdateRoomCmdData;
import com.red.circle.other.inner.model.dto.live.RoomProfileDTO;
import com.red.circle.other.inner.model.dto.live.RoomProfileManagerDTO;

/**
 * 房间资料信息.
 *
 * @since pengliang on 2023/9/21
 */
public interface RoomProfileService {

  RoomProfileManagerDTO getRoomProfile(AppExtCommand cmd);

  RoomProfileManagerDTO getRoomProfile(AppRoomIdCmd cmd);

  RoomProfileManagerDTO getRoomProfile(AppUserIdCmd cmd);

  RoomProfileDTO updateProfile(UpdateRoomCmdData cmd);
}
